> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verisoul.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Sessions



## OpenAPI

````yaml ../account-openapi.json GET /account/{account_id}/sessions
openapi: 3.0.1
info:
  title: Verisoul API
  description: The Verisoul API is used to integrate Verisoul into your application.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.verisoul.ai
security:
  - apiKeyAuth: []
paths:
  /account/{account_id}/sessions:
    get:
      description: Returns all sessions associated with a specific account
      parameters:
        - name: account_id
          in: path
          description: ID of the account to retrieve sessions for
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Account sessions response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionsResponse'
              example:
                request_id: e57b7c0f-34bc-4770-8ec7-71aacc72e5a4
                sessions:
                  - 56f9a065-1583-48af-a5c4-cd5921b21a12
                  - 2ddd11ed-2a46-4e21-9dc2-c2dbe7f7ef69
        '400':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountError'
              example:
                statusCode: 400
                message: Account not found
components:
  schemas:
    SessionsResponse:
      type: object
      properties:
        request_id:
          type: string
          description: The ID of the request
        sessions:
          type: array
          items:
            type: string
          description: List of session IDs associated with the account
    AccountError:
      type: object
      properties:
        message:
          type: string
          description: Error message
        statusCode:
          type: integer
          description: Status code
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````